%ifarch i386
%define prefix /usr/lib/ejabberd/ebin
%else
%define prefix /usr/lib64/ejabberd/ebin
%endif


Summary:	mod_stats2file ejabberd module
Name:		mod_stats2file
Version:	813svn
Release:        3.ru
License:	GPL
Group:		Development/Other
Source:		mod_statsdx-712svn.tar.bz2
Packager: 	David Diffenbaugh <davediff@nbcs.rutgers.edu>
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: erlang = R12B5
Requires: erlang = R12B5
Requires: ejabberd >= 2.0.1
Requires: mod_statsdx >= 813svn-2

%description
mod_stats2file is an ejabberd module which writes a file with all kind of statistics every few minutes.  
Available output formats are html (example), text file with descriptions 
and raw text file (for MRTG, RRDTool...).

%prep
%setup -n mod_statsdx-712svn

%build
cd mod_statsdx/trunk
./build.sh

%install
rm -rf %{buildroot} 
mkdir -p %{buildroot}%{prefix}/
install mod_statsdx/trunk/ebin/mod_stats2file.beam %{buildroot}%{prefix}/mod_stats2file.beam
 
%clean
rm -rf %{buildroot}

%post
echo "
Add the module to your /etc/ejabberd/ejabberd.cfg, on the modules section:
{modules, [
  ...
  {%{name} []},
  ...
]}.

See /usr/share/doc/%{name}-%{version}/README.txt for usage instructions 
and configuration options.
"


%files
%defattr(-,root,root)
%doc  mod_statsdx/trunk/ChangeLog mod_statsdx/trunk/COPYING mod_statsdx/trunk/README.txt
%{prefix}/mod_stats2file.beam


%changelog
* Mon Feb 22 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 813svn-3.ru
- Fix Requires: mod_statsdx >= 813svn-2

* Tue Nov 11 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu>
- built against erlang-R12B5
* Thu Oct 30 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu>
- updated to latest svn 813
* Mon Sep 08 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> 
- first rutgers release
